Mailinglist Archive: opensuse-updates (145 mails)

< Previous Next >
openSUSE-SU-2018:1215-1: moderate: Security update for cairo
openSUSE Security Update: Security update for cairo
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1215-1
Rating: moderate
References: #1049092
Cross-References: CVE-2017-9814
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for cairo fixes the following issues:

- CVE-2017-9814: out-of-bounds read in cairo-truetype-subset.c could
lead to denial of service (bsc#1049092).

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-445=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

cairo-debugsource-1.15.2-8.3.1
cairo-devel-1.15.2-8.3.1
cairo-tools-1.15.2-8.3.1
cairo-tools-debuginfo-1.15.2-8.3.1
libcairo-gobject2-1.15.2-8.3.1
libcairo-gobject2-debuginfo-1.15.2-8.3.1
libcairo-script-interpreter2-1.15.2-8.3.1
libcairo-script-interpreter2-debuginfo-1.15.2-8.3.1
libcairo2-1.15.2-8.3.1
libcairo2-debuginfo-1.15.2-8.3.1

- openSUSE Leap 42.3 (x86_64):

cairo-devel-32bit-1.15.2-8.3.1
libcairo-gobject2-32bit-1.15.2-8.3.1
libcairo-gobject2-debuginfo-32bit-1.15.2-8.3.1
libcairo-script-interpreter2-32bit-1.15.2-8.3.1
libcairo-script-interpreter2-debuginfo-32bit-1.15.2-8.3.1
libcairo2-32bit-1.15.2-8.3.1
libcairo2-debuginfo-32bit-1.15.2-8.3.1


References:

https://www.suse.com/security/cve/CVE-2017-9814.html
https://bugzilla.suse.com/1049092


< Previous Next >
This Thread
  • No further messages